package com.oguerreiro.resilient.error;

public class InventoryImportVariableUnitNotAllowedException extends ResilientException {
	private static final String CODE = "E002";
	
	public InventoryImportVariableUnitNotAllowedException(String sheetName, int row, String variableCode, String unitCode) {
		super("Sheet [" + sheetName + "]; Row[" + row + "]; Variable Code [" + variableCode + "]; The unit code [" + unitCode + "] not allowed in the variable.");
		
		addMessageArg(sheetName);
		addMessageArg(row);
		addMessageArg(variableCode);
		addMessageArg(unitCode);
	}
	
	@Override
	public String getMessageCode() {
		return CODE;
	}

}
